<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>hello</title>
</head>
<body>
   <h1 th:text="${msg}">hello world</h1>

   <script type="text/javascript"
   th:src="@{/webjars/jquery/3.2.1/jquery.min.js/}"></script>
<script type="text/javascript"
   th:src="@{/webjars/bootstrap/3.3.7/js/bootstrap.min.js}"></script>

   <script>
    $(function() {
           //$("#login-submit").click(function () {
          
           $.ajax({ 
               url: '/hello',
               type : 'GET',
               contentType : 'application/json',
               headers : {
                   Authorization : 'Bearer '+localStorage.getItem('token'),
               },
               
               error: function (request) {
                   alert("errorGet")
                   console.log("Connection error");
               },
               success: function (data) {
                   //save token
                   alert("Bearer "+localStorage.getItem("token"))
                   console.log("Bearer "+localStorage.getItem("token"));
               }
               });


   });
</script>
</body>
</html>

